<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Page Simple</title>

    <!-- Google Font: Source Sans Pro -->
    <link rel="stylesheet"
        href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">
    <!-- Theme style -->
    <link rel="stylesheet" href="dist/css/adminlte.min.css">
</head>

<body class="hold-transition sidebar-mini">
    <!-- Site wrapper -->
    <div class="wrapper">
        <!-- Navbar -->
        <nav class="main-header navbar navbar-expand navbar-white navbar-light">
            <!-- Left navbar links -->
            <ul class="navbar-nav">
                <li class="nav-item">
                    <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
                </li>
                <li class="nav-item d-none d-sm-inline-block">
                    <a href="../../index3.html" class="nav-link">Home</a>
                </li>
                <li class="nav-item d-none d-sm-inline-block">
                    <a href="#" class="nav-link">Contact</a>
                </li>
            </ul>

            <!-- Right navbar links -->
            <ul class="navbar-nav ml-auto">
                <!-- Navbar Search -->
                <li class="nav-item">
                    <a class="nav-link" data-widget="navbar-search" href="#" role="button">
                        <i class="fas fa-search"></i>
                    </a>
                    <div class="navbar-search-block">
                        <form class="form-inline">
                            <div class="input-group input-group-sm">
                                <input class="form-control form-control-navbar" type="search" placeholder="Search"
                                    aria-label="Search">
                                <div class="input-group-append">
                                    <button class="btn btn-navbar" type="submit">
                                        <i class="fas fa-search"></i>
                                    </button>
                                    <button class="btn btn-navbar" type="button" data-widget="navbar-search">
                                        <i class="fas fa-times"></i>
                                    </button>
                                </div>
                            </div>
                        </form>
                    </div>
                </li>

                <!-- Messages Dropdown Menu -->
                <li class="nav-item dropdown">
                    <a class="nav-link" data-toggle="dropdown" href="#">
                        <i class="far fa-comments"></i>
                        <span class="badge badge-danger navbar-badge">3</span>
                    </a>
                    <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
                        <a href="#" class="dropdown-item">
                            <!-- Message Start -->
                            <div class="media">
                                <img src="dist/img/user1-128x128.jpg" alt="User Avatar"
                                    class="img-size-50 mr-3 img-circle">
                                <div class="media-body">
                                    <h3 class="dropdown-item-title">
                                        Brad Diesel
                                        <span class="float-right text-sm text-danger"><i class="fas fa-star"></i></span>
                                    </h3>
                                    <p class="text-sm">Call me whenever you can...</p>
                                    <p class="text-sm text-muted"><i class="far fa-clock mr-1"></i> 4 Hours Ago</p>
                                </div>
                            </div>
                            <!-- Message End -->
                        </a>
                        <div class="dropdown-divider"></div>
                        <a href="#" class="dropdown-item">
                            <!-- Message Start -->
                            <div class="media">
                                <img src="dist/img/user8-128x128.jpg" alt="User Avatar"
                                    class="img-size-50 img-circle mr-3">
                                <div class="media-body">
                                    <h3 class="dropdown-item-title">
                                        John Pierce
                                        <span class="float-right text-sm text-muted"><i class="fas fa-star"></i></span>
                                    </h3>
                                    <p class="text-sm">I got your message bro</p>
                                    <p class="text-sm text-muted"><i class="far fa-clock mr-1"></i> 4 Hours Ago</p>
                                </div>
                            </div>
                            <!-- Message End -->
                        </a>
                        <div class="dropdown-divider"></div>
                        <a href="#" class="dropdown-item">
                            <!-- Message Start -->
                            <div class="media">
                                <img src="dist/img/user3-128x128.jpg" alt="User Avatar"
                                    class="img-size-50 img-circle mr-3">
                                <div class="media-body">
                                    <h3 class="dropdown-item-title">
                                        Nora Silvester
                                        <span class="float-right text-sm text-warning"><i
                                                class="fas fa-star"></i></span>
                                    </h3>
                                    <p class="text-sm">The subject goes here</p>
                                    <p class="text-sm text-muted"><i class="far fa-clock mr-1"></i> 4 Hours Ago</p>
                                </div>
                            </div>
                            <!-- Message End -->
                        </a>
                        <div class="dropdown-divider"></div>
                        <a href="#" class="dropdown-item dropdown-footer">See All Messages</a>
                    </div>
                </li>
                <!-- Notifications Dropdown Menu -->
                <li class="nav-item dropdown">
                    <a class="nav-link" data-toggle="dropdown" href="#">
                        <i class="far fa-bell"></i>
                        <span class="badge badge-warning navbar-badge">15</span>
                    </a>
                    <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
                        <span class="dropdown-item dropdown-header">15 Notifications</span>
                        <div class="dropdown-divider"></div>
                        <a href="#" class="dropdown-item">
                            <i class="fas fa-envelope mr-2"></i> 4 new messages
                            <span class="float-right text-muted text-sm">3 mins</span>
                        </a>
                        <div class="dropdown-divider"></div>
                        <a href="#" class="dropdown-item">
                            <i class="fas fa-users mr-2"></i> 8 friend requests
                            <span class="float-right text-muted text-sm">12 hours</span>
                        </a>
                        <div class="dropdown-divider"></div>
                        <a href="#" class="dropdown-item">
                            <i class="fas fa-file mr-2"></i> 3 new reports
                            <span class="float-right text-muted text-sm">2 days</span>
                        </a>
                        <div class="dropdown-divider"></div>
                        <a href="#" class="dropdown-item dropdown-footer">See All Notifications</a>
                    </div>
                </li>
                <li class="nav-item">
                    <a class="nav-link" data-widget="fullscreen" href="#" role="button">
                        <i class="fas fa-expand-arrows-alt"></i>
                    </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" data-widget="control-sidebar" data-slide="true" href="#" role="button">
                        <i class="fas fa-th-large"></i>
                    </a>
                </li>
            </ul>
        </nav>
        <!-- /.navbar -->

        <!-- Main Sidebar Container -->
        <aside class="main-sidebar sidebar-dark-primary elevation-4">
            <!-- Brand Logo -->
            <a href="../../index3.html" class="brand-link">
                <img src="dist/img/AdminLTELogo.png" alt="AdminLTE Logo" class="brand-image img-circle elevation-3"
                    style="opacity: .8">
                <span class="brand-text font-weight-light">Devcamp</span>
            </a>

            <!-- Sidebar -->
            <div class="sidebar">
                <!-- Sidebar user (optional) -->
                <div class="user-panel mt-3 pb-3 mb-3 d-flex">
                    <div class="image">
                        <img src="dist/img/user2-160x160.jpg" class="img-circle elevation-2" alt="User Image">
                    </div>
                    <div class="info">
                        <a href="#" class="d-block">Tấn Lộc</a>
                    </div>
                </div>

                <!-- SidebarSearch Form -->
                <div class="form-inline">
                    <div class="input-group" data-widget="sidebar-search">
                        <input class="form-control form-control-sidebar" type="search" placeholder="Search"
                            aria-label="Search">
                        <div class="input-group-append">
                            <button class="btn btn-sidebar">
                                <i class="fas fa-search fa-fw"></i>
                            </button>
                        </div>
                    </div>
                </div>

                <!-- Sidebar Menu -->
                <nav class="mt-2">
                    <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu"
                        data-accordion="false">
                        <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
                        <li class="nav-item menu-open">
                            <a href="#" class="nav-link act active">
                                <i class="nav-icon fas fa-tachometer-alt"></i>
                                <p>
                                    Dashboard
                                    <i class="right fas fa-angle-left"></i>
                                </p>
                            </a>
                            <ul class="nav nav-treeview">
                                <li class="nav-item">
                                    <a href="ComboMenu.html" class="nav-link">
                                        <i class="far fa-circle nav-icon"></i>
                                        <p>ComboMenu</p>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a href="Drink.html" class="nav-link">
                                        <i class="far fa-circle nav-icon"></i>
                                        <p>Drink</p>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a href="../../index3.html" class="nav-link">
                                        <i class="far fa-circle nav-icon"></i>
                                        <p>UserOrder</p>
                                    </a>
                                </li>
                            </ul>
                        </li>

                    </ul>
                </nav>
                <!-- /.sidebar-menu -->
            </div>
            <!-- /.sidebar -->
        </aside>

        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">
            <!-- Content Header (Page header) -->
            <section class="content-header">
                <div class="container-fluid">
                    <div class="row mb-2">
                        <div class="col-sm-6">
                            <h1>Blank Page</h1>
                        </div>
                        <div class="col-sm-6">
                            <ol class="breadcrumb float-sm-right">
                                <li class="breadcrumb-item"><a href="#">Home</a></li>
                                <li class="breadcrumb-item active">Blank Page</li>
                            </ol>
                        </div>
                    </div>
                </div><!-- /.container-fluid -->
            </section>
            <div class="row">
                <div class="col-sm-2 text-right">
                    <label for="">Country</label>
                </div>
                <div class="col-sm-2">
                    <select name="" id="select-country" class="form-control"></select>
                </div>
                <div class="col-sm-2">
                    <button id="btn-detail-country" class="btn btn-primary">Details</button>
                </div>
                <div class="col-sm-2 text-right">
                    <label for="">Region</label>
                </div>
                <div class="col-sm-2">
                    <select name="" id="select-region" class="form-control"></select>
                </div>
                <div class="col-sm-2">
                    <button id="btn-detail-region" class="btn btn-primary">Details</button>
                </div>

            </div>
            <div class="row mt-4">
                <div class="col-sm-2 text-right">

                </div>
                <div class="col-sm-2">

                </div>
                <div class="col-sm-2">

                </div>

                <div class="col-sm-2 text-right">
                    <label for="">District</label>
                </div>
                <div class="col-sm-2">
                    <select name="" id="select-district" class="form-control"></select>
                </div>
                <div class="col-sm-2">
                    <button id="btn-detail-district" class="btn btn-primary">Details</button>
                </div>
            </div>
            <div id="modal-country" class="modal" tabindex="-1" role="dialog">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title">Country</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <label class="" for="">CountryCode</label>
                            <input type="text" name="" id="inp-country-code" class="form-control">
                            <label class="mt-2" for="">CountryName</label>
                            <input type="text" name="" id="inp-country-name" class="form-control">

                        </div>
                        <div class="modal-footer">
                            <button id="btn-add-country" type="button" class="btn btn-success">Add Country</button>
                            <button id="btn-update-country" type="button" class="btn btn-info">Update Country</button>
                            <button id="btn-delete-country" type="button" class="btn btn-danger">Delete Country</button>
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        </div>
                    </div>
                </div>
            </div>
            <div id="modal-region" class="modal" tabindex="-1" role="dialog">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title">Country</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <label class="" for="">RegionCode</label>
                            <input type="text" name="" id="inp-region-code" class="form-control">
                            <label class="mt-2" for="">RegionName</label>
                            <input type="text" name="" id="inp-region-name" class="form-control">

                        </div>
                        <div class="modal-footer">
                            <button id="btn-add-region" type="button" class="btn btn-success">Add Region</button>
                            <button id="btn-update-region" type="button" class="btn btn-info">Update Region</button>
                            <button id="btn-delete-region" type="button" class="btn btn-danger">Delete Region</button>
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        </div>
                    </div>
                </div>
            </div>
            <div id="modal-district" class="modal" tabindex="-1" role="dialog">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title">District</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <label class="" for="">Name</label>
                            <input type="text" name="" id="inp-district-name" class="form-control">
                            <label class="mt-2" for="">Prefix</label>
                            <input type="text" name="" id="inp-district-prefix" class="form-control">

                        </div>
                        <div class="modal-footer">
                            <button id="btn-add-district" type="button" class="btn btn-success">Add district</button>
                            <button id="btn-update-district" type="button" class="btn btn-info">Update district</button>
                            <button id="btn-delete-district" type="button" class="btn btn-danger">Delete
                                district</button>
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        </div>
                    </div>
                </div>
            </div>

            <!-- Main content -->
            <section class="content">


            </section>
            <!-- /.content -->
        </div>
        <!-- /.content-wrapper -->

        <footer class="main-footer">
            <div class="float-right d-none d-sm-block">
                <b>Version</b> 3.2.0
            </div>
            <strong>Copyright &copy; 2014-2021 <a href="https://adminlte.io">AdminLTE.io</a>.</strong> All rights
            reserved.
        </footer>

        <!-- Control Sidebar -->
        <aside class="control-sidebar control-sidebar-dark">
            <!-- Control sidebar content goes here -->
        </aside>
        <!-- /.control-sidebar -->
    </div>
    <!-- ./wrapper -->

    <!-- jQuery -->
    <script src="plugins/jquery/jquery.min.js"></script>
    <!-- Bootstrap 4 -->
    <script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
    <!-- AdminLTE App -->
    <script src="dist/js/adminlte.min.js"></script>
    <!-- AdminLTE for demo purposes -->
    <script src="dist/js/demo.js"></script>
    <script>
        const gBASR_COUNTRY = "http://localhost:8080/country/country"
        const gBASR_REGION = "http://localhost:8080/country/region"
        const gBASR_DISTRICT = "http://localhost:8080/country/district"
        var gCountry = $("#select-country");
        var gRegion = $("#select-region");
        var gDistrict = $("#select-district");
        $(document).ready(function () {
            onLoadSelectCountry();
            $("#select-country").on("change", function () {
                var vId = gCountry.val();
                gRegion.html("");
                onLoadSelectRegion(vId);
            })
            $("#select-region").on("change", function () {
                var vId = gRegion.val();
                gDistrict.html("");
                onLoadSelectDistrict(vId);
            })

            $("#btn-detail-country").on("click", function () {
                $("#modal-country").modal('show');
                var vId = gCountry.val();
                onBtnDetailCountry(vId);

                $("#btn-add-country").on("click", function () {
                    onBtnAddCountry();
                })
                $("#btn-update-country").on("click", function () {
                    onBtnUpdateCountry(vId);
                })
                $("#btn-delete-country").on("click", function () {
                    onBtnDeleteCountry(vId);
                })

            })
            $("#btn-detail-region").on("click", function () {
                $("#modal-region").modal('show');
                var vId = gRegion.val();
                var vIdCountry = gCountry.val();
                onBtnDetailRegion(vId);
                $("#btn-add-region").on("click", function () {
                    onBtnAddRegion(vIdCountry);
                })
                $("#btn-delete-region").on("click", function () {
                    onBtnDeleteRegion(vId);
                })

            })
            $("#btn-detail-district").on("click", function () {
                $("#modal-district").modal('show');
                var vIdDistrict = gDistrict.val();
                var vIdRegion = gRegion.val();
                onBtnDetailDistrict(vIdDistrict);
                $("#btn-add-district").on("click", function () {
                    onBtnAddDistrict(vIdRegion);
                })
                $("#btn-delete-district").on("click", function () {
                    onBtnDeleteDistrict(vIdDistrict);
                })

            })


        })

        function onLoadSelectCountry() {
            $.ajax({
                url: gBASR_COUNTRY + "/all",
                type: "GET",
                success: function (paramRes) {
                    handleCountry(paramRes);
                },
                error: function (paramErr) {
                    alert(paramErr.status);
                }
            })
        }
        function onLoadSelectRegion(paramId) {
            $.ajax({
                url: gBASR_COUNTRY + "/details/" + paramId,
                type: "GET",
                success: function (paramRes) {
                    handleRegion(paramRes);
                },
                error: function (paramErr) {
                    alert(paramErr.status);
                }
            })
        }
        function onLoadSelectDistrict(paramId) {
            $.ajax({
                url: gBASR_REGION + "/details/" + paramId,
                type: "GET",
                success: function (paramRes) {
                    handleDistrict(paramRes);
                },
                error: function (paramErr) {
                    alert(paramErr.status);
                }
            })
        }


        function handleCountry(paramRes) {
            for (var bI = 0; bI < paramRes.length; bI++) {
                $("#select-country").append($("<option/>", {
                    text: paramRes[bI].countryName,
                    value: paramRes[bI].id,
                }))
            }
        }
        function handleRegion(paramRes) {
            for (var bI = 0; bI < paramRes.regions.length; bI++) {
                $("#select-region").append($("<option/>", {
                    text: paramRes.regions[bI].regionName,
                    value: paramRes.regions[bI].id,
                }))
            }
        }
        function handleDistrict(paramRes) {
            for (var bI = 0; bI < paramRes.districts.length; bI++) {
                $("#select-district").append($("<option/>", {
                    text: paramRes.districts[bI].name,
                    value: paramRes.districts[bI].id,
                }))
            }
        }
        function onBtnDetailCountry(paramId) {

            $.ajax({
                url: gBASR_COUNTRY + "/details/" + paramId,
                type: "GET",
                success: function (paramRes) {
                    $("#inp-country-name").val(paramRes.countryName);
                    $("#inp-country-code").val(paramRes.countryCode);
                },
                error: function (paramErr) {
                    alert(paramErr.status);
                }
            })
        }
        function onBtnAddCountry() {
            var vObjCountry = {
                countryCode: "",
                countryName: "",
                regions: [],
            }
            getDataCountry(vObjCountry);
            $.ajax({
                url: gBASR_COUNTRY + "/create",
                type: "POST",
                data: JSON.stringify(vObjCountry),
                contentType: "application/json; charset=utf-8",
                success: function (paramRes) {
                    alert("add country success");
                    location.reload();
                },
                error: function (paramErr) {
                    alert(paramErr.status);
                }
            })
        }
        function getDataCountry(paramObj) {
            paramObj.countryCode = $("#inp-country-code").val();
            paramObj.countryName = $("#inp-country-name").val();
        }
        function onBtnUpdateCountry(paramId) {
            var vObjCountry = {
                countryCode: "",
                countryName: "",
                regions: [],
            }
            getDataCountry(vObjCountry);
            $.ajax({
                url: gBASR_COUNTRY + "/update/" + paramId,
                type: "PUT",
                data: JSON.stringify(vObjCountry),
                contentType: "application/json; charset=utf-8",
                success: function (paramRes) {
                    alert("update country success");
                    location.reload();
                },
                error: function (paramErr) {
                    alert(paramErr.status);
                }
            })
        }
        function onBtnDeleteCountry(paramId) {
            $.ajax({
                url: gBASR_COUNTRY + "/delete/" + paramId,
                type: "DELETE",

                success: function (paramRes) {
                    alert("delete country success");
                    location.reload();
                },
                error: function (paramErr) {
                    alert(paramErr.status);
                }
            })
        }
        function onBtnDetailRegion(paramId) {

            $.ajax({
                url: gBASR_REGION + "/details/" + paramId,
                type: "GET",
                success: function (paramRes) {
                    $("#inp-region-name").val(paramRes.regionName);
                    $("#inp-region-code").val(paramRes.regionCode);
                },
                error: function (paramErr) {
                    alert(paramErr.status);
                }
            })
        }
        function onBtnAddRegion(paramId) {
            var vObjRegion = {
                regionCode: "",
                regionName: "",

            }
            getDataRegion(vObjRegion);
            $.ajax({
                url: gBASR_REGION + "/create/" + paramId,
                type: "POST",
                data: JSON.stringify(vObjRegion),
                contentType: "application/json; charset=utf-8",
                success: function (paramRes) {
                    alert("add region success");
                    location.reload();
                },
                error: function (paramErr) {
                    alert(paramErr.status);
                }
            })
        }
        function getDataRegion(paramObj) {
            paramObj.regionCode = $("#inp-region-code").val();
            paramObj.regionName = $("#inp-region-name").val();
        }

        function onBtnDeleteRegion(paramId) {
            $.ajax({
                url: gBASR_REGION + "/delete/" + paramId,
                type: "DELETE",
                success: function (paramRes) {
                    alert("delete region success");
                    location.reload();
                },
                error: function (paramErr) {
                    alert(paramErr.status);
                }
            })
        }
        function onBtnDetailDistrict(paramId) {

            $.ajax({
                url: gBASR_DISTRICT + "/details/" + paramId,
                type: "GET",
                success: function (paramRes) {
                    $("#inp-district-name").val(paramRes.name);
                    $("#inp-district-prefix").val(paramRes.prefix);
                },
                error: function (paramErr) {
                    alert(paramErr.status);
                }
            })
        }
        function onBtnAddDistrict(paramId) {
            var vObjDistrict = {
                name: "",
                prefix: "",

            }
            getDataDistrict(vObjDistrict);
            $.ajax({
                url: gBASR_DISTRICT + "/create/" + paramId,
                type: "POST",
                data: JSON.stringify(vObjDistrict),
                contentType: "application/json; charset=utf-8",
                success: function (paramRes) {
                    alert("add district success");
                    location.reload();
                },
                error: function (paramErr) {
                    alert(paramErr.status);
                }
            })
        }
        function getDataDistrict(paramObj) {
            paramObj.name = $("#inp-district-name").val();
            paramObj.prefix = $("#inp-district-prefix").val();
        }
        function onBtnDeleteDistrict(paramId) {
            $.ajax({
                url: gBASR_DISTRICT + "/delete/" + paramId,
                type: "DELETE",
                success: function (paramRes) {
                    alert("delete district success");
                    location.reload();
                },
                error: function (paramErr) {
                    alert(paramErr.status);
                }
            })
        }



    </script>
</body>

</html>